SKF GoPlant
Api Reference 101

Task Events

Get scheduled and completed task events based on query parameters.

Task events are available via the API once the start time of the task passes. Tasks with start times in the future are not available via the API.

Task events are scoped based on the task's storage group. If the task's storage group is outside of the user's scope, the task event is not available to the user.

GET /api/rest/task-events Get a list of scheduled and completed task events within the user’s scope based on query parameters.

Get a list of task events that were active over the past 24 hours. If there are more than 1,000 task events, call the API again using the From-Task-Event-UUID parameter.

Request

                GET https://{goplant_instance}/api/rest/task-events
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of task events that were active between December 1st, 5:00 and December 2nd, 18:00. All times are specified using UTC.

Request

                GET https://{goplant_instance}/api/rest/task-events?Start-Time=2025-12-01T05:00:00&End-Time=2025-12-02T18:00:00
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of task-events starting with task event UUID 1234-5678-9012-3456 that are in storage groups 0001-0002-0003-0004 and 1111-2222-3333-4444.

Request

                GET https://{goplant_instance}/api/rest/task-events?From-Task-Event-UUID=1234-5678-9012-3456&Storage-Group-UUID=0001-0002-0003-0004,1111-2222-3333-4444
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
URI Query Parameters
End-Time
Limit task events to those that were active before the indicated end date and time. End-Time is specified as a UTC string.
If no End-Time is specified, the default value of current time in UTC is used.
string optional
From-Task-Event-UUID
Limit task events to the specified task events UUID and those that follow it.
string optional
Max-Responses
Limit the number of task events returned. The maximum value is 1,000 which is also the default value.
string optional
Start-Time
Limit task events to those that were active on or after the indicated start date and time. Start-Time is specified as a UTC string.
If neither Start-Time nor From-Task-Event-UUID is specified, the default value of 24 hours before the current time in UTC is used.
If Start-Time is not specified, but From-Task-Event-UUID is specified, Start-Time takes no default value and is ignored.
string optional
Storage-Group-UUID
Limit task events to those in the specified storage group(s). Multiple group UUIDs may be specified, separated by commas.
If the user specifies a group outside of their scope, an error will be returned.
string optional
Response Body Array of task events
count
Number of task events returned in this call
integer
nextTaskEventUuid
The UUID of the round instance after the last round instances returned by this call. Null if there are no more round instances
string
taskEvents
Array of task events within the current user’s scope
array of task-event-type
uuid
Unique ID of task event
string
uri
Task event URI
string
taskName
Task name
string
taskStorageGroupName
Name of task's storage group
string
taskStoragGroupUri
URI of task's storage group
string
taskEventStatus
Status of task event.
Possible values
string
Completed     Task event was completed on time (before its end time passed)
Completed Late     Task event was completed after its end time passed
Expired     Task event was not started, and its expiration time has passed
Late     Task event is not yet complete, and its end time has passed
On Time     Task event has not been completed, and its end time has not passed
Revoked     Task event was manually revoked
taskEventStartTimeUTC
Scheduled start time in UTC of task event
string
taskEventEndTimeUTC
Scheduled end time in UTC of task event
string
taskEventExpirationTimeUTC
Scheduled expiration time in UTC of task event
string
taskElementCount
Number of elements in task event
integer
completedElementCount
Number of completed elements in task event
integer
GET /api/rest/task-events/:uuid Get a single instance of a task event.
Request

                GET https://{goplant_instance}/api/rest/task-events/:uuid
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Requested task event
uuid
Unique ID of task event
string
uri
Task event URI
string
taskName
Task name
string
taskStorageGroupName
Name of task's storage group
string
taskStoragGroupUri
URI of task's storage group
string
taskEventStatus
Status of task event.
Possible values
string
Completed     Task event was completed on time (before its end time passed)
Completed Late     Task event was completed after its end time passed
Expired     Task event was not started, and its expiration time has passed
Late     Task event is not yet complete, and its end time has passed
On Time     Task event has not been completed, and its end time has not passed
Revoked     Task event was manually revoked
taskEventStartTimeUTC
Scheduled start time in UTC of task event
string
taskEventEndTimeUTC
Scheduled end time in UTC of task event
string
taskEventExpirationTimeUTC
Scheduled expiration time in UTC of task event
string
taskElementCount
Number of elements in task event
integer
completedElementCount
Number of completed elements in task event
integer
GET /api/rest/task-events/:uuid/elements Get the list of task elements for a task event.
Request

                GET https://{goplant_instance}/api/rest/task-events/:uuid/elements
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Array of task elements
count
Number of task elements
integer
taskElements
List of elements that make up the task event
array of task-elements
roundName
Round name
string
variantName
Round variant name
string
roundInstanceUri
URI of in-flight or completed round
string
roundStatus
Round status.
Possible values
string
Completed    Round has been completed
In Progress    Round is in progress
Not Started    Round has not yet been started
roundElementCount
Number of round elements
integer
completedElementCount
Number of completed round elements
integer
roundStartTimeUTC
UTC time when element was started. Null if round has not been started
string
roundEndTimeUTC
UTC time when element was completed. Null if round has not been completed
string